Bug 1503337 - Warning during updating to 2.6-11: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
Summary: Warning during updating to 2.6-11: failed to remove key (1, ff:ff:ff:ff:ff:ff...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-17 21:46 UTC by Christian Stadelmann
Modified: 2018-05-21 19:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 19:31:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 198357 0 None None None 2018-01-13 23:37:46 UTC

Description Christian Stadelmann 2017-10-17 21:46:16 UTC
Version-Release number of selected component (if applicable):
wpa_supplicant-2.6-11.fc26.x86_64

How reproducible:
unclear

Steps to Reproduce:
1. update wpa_supplicant from 2.6-8 to 2.6-11 using dnf
2. watch dnf's output

Actual results:
I'm getting these two warnings from kernel:

wlp3s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
wlp3s0: failed to remove key (2, ff:ff:ff:ff:ff:ff) from hardware (-22)

Expected results:
No warnings

Additional info:
I'm using a Intel Dual Band Wireless-AC 7260 wifi adapter with the iwlwifi kernel module.

I'm not sure this is a bug in wpa_supplicant, but I thought I'd report it anyway due to its loglevel (systemd-journald: emerg or higher; dmesg: red color).

Comment 1 Chris Murphy 2017-11-27 17:27:05 UTC
Same message repeating dozens of times per day, it seems to be WiFi AP specific (some more than others). It is a kernel message but only happens with WPA2 connections. I can't tell if it relates to other problems I'm having or if it's a security risk only or what.

I think we'd have to work with upstream on this. They have a bunch of things going on right now, and any fixes have to be demonstrated in an in development mainline kernel before they can be backported. So testing with stable kernels doesn't help them much.

We could ask Fedora's kernel dev team to enable some wifi debugging options for the debug kernels, if they aren't already enabled, to help nail this down. But there are also interactions with the iwlwifi firmware, I'm having a lot of firmware crashes right now (no kidding).

6c:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)

Comment 2 zzpyynzjbszkbtipim 2018-01-13 20:21:17 UTC
I believe this issue is the same as the one I posted on the kernel bugzilla at https://bugzilla.kernel.org/show_bug.cgi?id=198357 . I found the commit that first causes the symptom, but it's not necessarily to blame... I mention two possible fixes but there's some missing information before it's clear to me which one is the best. The assignee was changed to linuxwifi@intel.com the day that I posted it, but it has received no updates since then.

Comment 3 Christian Stadelmann 2018-01-13 23:37:47 UTC
Thanks for the hint on an upstream bug report.

Comment 4 Mohammad H. Nazari 2018-04-13 14:06:11 UTC
Exactly same as mine! I have this issue too but with one difference, I usually connect to my router and using internet as well but sometime my connections to internet closed immediately! (a "<?>" like icon appears in panel ans I have to turn off and then on to fix it, on the other hand it mostly happens when I suspend my laptop.)
Kernel Version: Linux 4.15.13-300.fc27.x86_64
OS: Fedora 27 Workstation Linux and GNOME DE
Also I searched for same issue in internet and must of solution wasn't a right and complete solution that can fix this issue (most of them reported it as a bug same as here!)
This issue is disgusting for me so I'm going to open a new topic in ask.fedoraproject.com to ask a help, hope to fix soon :)
Regards.

Comment 5 Mohammad H. Nazari 2018-04-13 15:03:18 UTC
Now I opened a new topic with more detail here: Afterwards I should mention that I'm using Fedora for a bout a year and got this problem recently!

Comment 6 Mohammad H. Nazari 2018-04-13 15:07:08 UTC
(In reply to Mohammad H. Nazari from comment #5)
> Now I opened a new topic with more detail here: Afterwards I should mention
> that I'm using Fedora for a bout a year and got this problem recently!

Oops! A clipboard mistake :( 
So sorry about it, it's the right link: https://ask.fedoraproject.org/en/question/119836/wlp3s0-failed-to-remove-key-and-a-disgusting-peroblem-in-wireless-connection-to-router/

Comment 7 Fedora End Of Life 2018-05-03 08:27:38 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Christian Stadelmann 2018-05-21 19:31:08 UTC
I cannot reproduce this issue any more, it is being fixed according to the upstream maintainer.


Note You need to log in before you can comment on or make changes to this bug.